%define nm_version 0.7.0.97
%define nm_applet_version 0.7.0.97

Name: NetworkManager-vpnc
Version: 0.7.1
Release: alt0.M41.1
License: %gpl2plus
Group: System/Configuration/Networking
Summary: NetworkManager VPN plugin for vpnc
Url: http://www.gnome.org/projects/NetworkManager/
Packager: Mikhail Efremov <sem@altlinux.org>
Source: %name-%version.tar
Patch0: %name-%version-%release.patch
Requires: NetworkManager   >= %nm_version
Requires: vpnc             >= 0.4

# Automatically added by buildreq on Sat May 17 2008
BuildRequires: libgnome-keyring-devel perl-XML-Parser

BuildRequires: NetworkManager-devel >= %nm_version
BuildRequires: NetworkManager-glib-devel >= %nm_version
BuildRequires: gtk2-devel             >= 2.10.0
BuildRequires: libdbus-devel             >= 1.1
BuildRequires: libGConf-devel
BuildRequires: libglade2-devel
BuildRequires: libpng-devel
BuildRequires: intltool gettext
BuildRequires: rpm-build-licenses
BuildRequires: libGConf-devel

%description
This package contains software for integrating the vpnc VPN software
with NetworkManager and the GNOME desktop

%package gnome
License: %gpl2plus
Summary: GNOME applications for %name
Group: Graphical desktop/GNOME
Requires: gtk2             >= 2.10.0
Requires: shared-mime-info >= 0.16
Requires: GConf2
Requires: gnome-keyring
Requires: NetworkManager-gnome >= %nm_applet_version
Requires: NetworkManager-vpnc = %version

%description gnome
This package contains GNOME applications for use with
NetworkManager panel applet.

%prep
%setup -q
%patch0 -p1

%build
%autoreconf
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

%post
if /sbin/service messagebus status &>/dev/null; then
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig &>/dev/null ||:
else
echo "NetworkManager-vpnc requires running messagebus service." >&2
fi

%files
%doc AUTHORS ChangeLog
%config(noreplace) %_sysconfdir/dbus-1/system.d/nm-vpnc-service.conf
%config(noreplace) %_sysconfdir/NetworkManager/VPN/nm-vpnc-service.name
%_libexecdir/nm-vpnc-service
%_libexecdir/nm-vpnc-service-vpnc-helper

%files gnome -f %name.lang
%_libdir/NetworkManager/lib*.so*
%_libexecdir/nm-vpnc-auth-dialog
%_datadir/gnome-vpn-properties/vpnc/nm-vpnc-dialog.glade
%_datadir/applications/nm-vpnc.desktop
%_datadir/icons/hicolor/48x48/apps/gnome-mime-application-x-cisco-vpn-settings.png

%exclude %_libdir/NetworkManager/*.la
%exclude %_libdir/NetworkManager/*.a

%changelog
* Tue Jul 07 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt0.M41.1
- port to M41

* Wed Apr 15 2009 Mikhail Efremov <sem@altlinux.org> 0.7.1-alt1
- Release 0.7.1

* Thu Mar 05 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.99-alt1
- 0.7.0.99 (0.7.1-rc3)

* Tue Mar 03 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt2
- GNOME stuff moved to NetworkManager-vpnc-gnome

* Thu Feb 19 2009 Mikhail Efremov <sem@altlinux.org> 0.7.0.97-alt1
- 0.7.0.97 (0.7.1-rc1)

* Wed Dec 03 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt3
- Release NetworkManager 0.7

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt2.svn.r4326
- BuildRequires fixed

* Tue Nov 25 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r4326
- new svn snapshot
- removed obsolete post/postun macros calls
- update summary

* Tue Nov 11 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r4229
- new svn snapshot

* Wed Aug 13 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn.r3930
- new svn snapshot
- BuildRequires updated
- %post updated: D-Bus config reload

* Tue Jul 22 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080722
- new svn snapshot (3842)

* Wed May 28 2008 Mikhail Efremov <sem@altlinux.org> 0.7.0-alt1.svn20080527
- initial build

